/***************************************************************************
 *   Copyright (C) 2006 by Vincenzo Forchi`,,,   *
 *   tus@ken   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <TApplication>
#include "diodebpm.h"
#include <tutil.h>
#include <X11/Xlib.h>
#include <QX11Info>
#include <elettracolors.h>

#define CVSVERSION "$Name:  $"
int main( int argc, char ** argv ) {
    const char *cvs_version = CVSVERSION;
    if (argc < 2)
    {
	    printf("Usage: %s diodebpm_instance\n", argv[0]);
	    exit(-1);
    }
    
    TApplication a( argc, argv );
    a.setApplicationVersion(cvs_version);
    a.setPalette(EPalette("elettra"));
    TUtil::instance()->setLoggingTarget(argv[0]);
    DiodeBPM mw;
    QString title("diodebpm");
    QStringList argum=qApp->arguments();
    if (argum.size() > 1 )
        title=argum.at(1).split('/').last(); //solo il member
    mw.setWindowTitle(title);
    mw.show();

/* register to window manager */
    Display *disp = QX11Info::display();
    Window root_win = (Window) mw.winId();
    XSetCommand(disp, root_win, argv, argc);
    
    return a.exec();
}
